curl_strequal(3)

NAME
curl_strequal, curl_strnequal - case insensitive string comparisons

SYNOPSIS
#include <curl/curl.h>

int curl_strequal(char *str1, char *str2);
int curl_strnequal(char *str1, char *str2, size_t length);

DESCRIPTION
The curl_strequal() function compares the two strings str1 and str2, ignoring the case of the characters. It returns a non-zero (TRUE) integer if the strings are identical.

The curl_strnequal() function is similar, except it only compares the first length characters of str1.

These functions are provided by libcurl to enable applications to compare strings in a truly portable manner. There are no standard portable case insensitive string comparison functions. These two work on all platforms.

EXAMPLE
if(curl_strequal(name, input))
  printf("Name and input matches\n");
if(curl_strnequal(name, input, 5))
  printf("Name and input matches in the 5 first bytes\n");

AVAILABILITY
Always

RETURN VALUE
Non-zero if the strings are identical. Zero if they are not.

SEE ALSO
strcmp(3), strcasecmp(3)